Subject: Re: [PATCH net-next 1/1] net: phy: Refactor mediatek-ge-soc.c for clarity and correctness

From: Simon Horman <[email-masked]>
Date: Wed, 16 Oct 2024 19:58:12 +0100

On Wed, Oct 16, 2024 at 04:25:14PM +0000, SkyLake Huang (黃啟澤) wrote:
> > I do think that would be best.
> > But if you strongly think otherwise I can try to review it as-is.
> 
> Hi Simon,
>   If this does cause trouble for reviewing, I can split it into a few
> patches:
> Patch 1: Fix spelling errors + reverse Xmas tree + remove unnecessary
> parens
> Patch 2: Shrink mtk-ge-soc.c line wrapping to 80 characters.
> Patch 3: Propagate error code correctly in cal_cycle() + FIELD_GET()
> change
> Patch 4: Fix multi functions with FIELD_PREP().
> 
>   Is this okay for you? Do I need to split them into more patches?

Yes, I think that is a good way to split things up.